GET /api/v3/meter/{meterId}/bill

Retrieves all bills associated with a specific meter

GetMeterBillsV3 Permissions: BillsAndBatches (View)
Use this endpoint to see the bill history for a meter. Returns bills from all account-meter relationships on this meter.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId Unique numeric identifier of the meter integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MeterBillResponse
Property Description Type
account AccountChild
AccountChild properties
Property Description Type
accountCode The account code (unique identifier assigned by the organization) string
accountId The unique identifier of the account integer (int32)
accountInfo The account description/name string
active Whether the account is currently active. Null if not applicable. boolean
hasCalculatedMeter Whether the account has a child calculated meter boolean
hasSplitChildMeter Whether the account has a child split meter boolean
hasSplitParentMeter Whether the account is a recipient of a meter split boolean
hasSubAccount Whether this account has sub-accounts beneath it boolean
isSubAccount Whether this account is a sub-account of a summary account boolean
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
accountPeriod The bill’s accounting period integer (int32)
accrual Indicates if the bill is an accrual boolean
accrualReversed Indicates if the bill is a reversed accrual boolean
accrualReversedDate The date and time the accrual was reversed string (date-time)
actualAmountPaid The actual amount paid number (double)
actualDemand The meter’s actual demand number (double)
actualDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
approveDate The date and time the bill was approved string (date-time)
approved Indicates if the bill has been approved boolean
approvedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
assignedDate The date and time the bill was assigned to a user string (date-time)
assignedTo UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
balanceForward The amount of balance that was forwarded number (double)
batch BatchChild
BatchChild properties
Property Description Type
batchCode The batch code. string
batchId The batch id. integer (int32)
beginDate The bill’s begin date string (date-time)
billId The bill identifier integer (int32)
billedDemand The meter’s billed demand number (double)
billedDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
billingPeriod The bill’s billing period integer (int32)
checkDate The date and time of the check string (date-time)
checkNumber The check number string
clearedDate The cleared date string (date-time)
controlCode The bill’s control code string
cost The meter’s bill cost number (double)
costPerDay The meter’s bill cost per date number (double)
costPerUnit The meter’s bill cost per unit number (double)
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the bill was created string (date-time)
currentCharges The current charges number (double)
dirty Indicates if the bill record has been cleaned. Cleaning is an internal EnergyCAP process boolean
dueDate The date and time the bill is due string (date-time)
endDate The bill’s end date string (date-time)
estimated Indicates if the bill is estimated boolean
exportDate The date and time the bill was exported string (date-time)
exportHold Indicates if the bill is held for export boolean
exported Indicates if the bill has been exported boolean
exportedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
fromVendor Indicates if the bill is from a vendor boolean
glExportDate The date and time the bill was exported to gl string (date-time)
glExported Indicates if the bill has been gl exported boolean
glExportedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
hasBeenSplit Indicates if the bill has been split boolean
importVerified Indicates if the import has been verified boolean
invoiceNumber The bill’s invoice number string
invoicePages The number of pages on the invoice integer (int32)
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time of the most recent modification string (date-time)
nextReading The date and time of the next reading string (date-time)
observationMethod ObservationMethodChild
ObservationMethodChild properties
Property Description Type
observationMethodCode Observation method code string
observationMethodId Observation method identifier integer (int32)
observationMethodInfo Observation method name: Automatic, Manual, Estimated, Simulated, Accrual, or Adjustment string
paySource The bill’s pay source string
payStatus The pay status of the bill string
payTo Indicates whom the bill paid string
paymentExportDate The date and time the bill was exported to bill payment string (date-time)
paymentExported Indicates if the bill has been bill payment exported boolean
paymentExportedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
paymentType The payment type of the bill string
previousBalance The balance of the previous bill number (double)
statementDate The date and time of the bill statement string (date-time)
transRefNum The transaction reference number of the bill string
usage The meter’s usage number (double)
usePerDay The meter’s usage per day number (double)
useUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
void Indicates if the bill has been voided boolean
wasSplitDate The date and time the bill was split string (date-time)
Example Response application/json
[
  {    "account": {      "accountCode": "string",      "accountId": 1,      "accountInfo": "string",      "active": false,      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "vendor": {}
    },    "accountPeriod": 1,    "accrual": false,    "accrualReversed": false,    "accrualReversedDate": "2026-06-29",    "actualAmountPaid": 1.0,    "actualDemand": 1.0,    "actualDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "approveDate": "2026-06-29",    "approved": false,    "approvedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "assignedDate": "2026-06-29",    "assignedTo": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "balanceForward": 1.0,    "batch": {      "batchCode": "string",      "batchId": 1
    },    "beginDate": "2026-06-29",    "billId": 1,    "billedDemand": 1.0,    "billedDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "billingPeriod": 1,    "checkDate": "2026-06-29",    "checkNumber": "string",    "clearedDate": "2026-06-29",    "controlCode": "string",    "cost": 1.0,    "costPerDay": 1.0,    "costPerUnit": 1.0,    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-06-29",    "currentCharges": 1.0,    "dirty": false,    "dueDate": "2026-06-29",    "endDate": "2026-06-29",    "estimated": false,    "exportDate": "2026-06-29",    "exportHold": false,    "exported": false,    "exportedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "fromVendor": false,    "glExportDate": "2026-06-29",    "glExported": false,    "glExportedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "hasBeenSplit": false,    "importVerified": false,    "invoiceNumber": "string",    "invoicePages": 1,    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-06-29",    "nextReading": "2026-06-29",    "observationMethod": {      "observationMethodCode": "string",      "observationMethodId": 1,      "observationMethodInfo": "string"
    },    "paySource": "string",    "payStatus": "string",    "payTo": "string",    "paymentExportDate": "2026-06-29",    "paymentExported": false,    "paymentExportedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "paymentType": "string",    "previousBalance": 1.0,    "statementDate": "2026-06-29",    "transRefNum": "string",    "usage": 1.0,    "usePerDay": 1.0,    "useUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "void": false,    "wasSplitDate": "2026-06-29"
  }
]
404 Not Found The requested resource was not found. Verify the ID or path is correct.